
Shot = Entity:createSubClass();

function Shot:init()

   self:setTexture("shmup1.tga");
   self:setGravityInfluence(0);
   self:setSpriteFrame(0, 32, 32, 64);

   local myShadow = Shadow:create();
   myShadow:assign(self);

   self.lifeTime = 60;
   self:setForceUpdate(true);
   self:setBlockable(true);

   --self.isPlayerShot = true;

end

function Shot:update()

   self.lifeTime = self.lifeTime - 1;

   if self.lifeTime < 0 then
	  self:die();
   end

end

function Shot:collidedWithWorld()
   
   addSplosion(self:getPos());

   self:die();

end

registerSpawn("Shot");
